Bug 667141 - [RHEL5.6] megaraid_sas stalls after driver is reset [rhel-5.6.z]
Summary: [RHEL5.6] megaraid_sas stalls after driver is reset [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 665427 670903 692673
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 15:44 UTC by RHEL Program Management
Modified: 2018-11-14 15:54 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.18-238.1.1.el5
Doc Type: Bug Fix
Doc Text:
If an error occurred during I/O, the SCSI driver reset the "megaraid_sas" controller to restore it to normal state. However, on Red Hat Enterprise Linux 5, the waiting time to allow a full reset completion for the "megaraid_sas" controller was too short. The driver incorrectly recognized the controller as stalled, and, as a result, the system stalled as well. With this update, more time is given to the controller to properly restart, thus, the controller operates as expected after being reset.
Clone Of:
Environment:
Last Closed: 2011-01-18 18:22:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0163 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-18 18:21:57 UTC

Description RHEL Program Management 2011-01-04 15:44:16 UTC
This bug has been copied from bug #665427 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 2 Jiri Pirko 2011-01-05 11:53:21 UTC
in kernel-2.6.18-238.1.1.el5

linux-2.6-scsi-megaraid-give-fw-more-time-to-recover-from-reset.patch

Comment 6 errata-xmlrpc 2011-01-18 18:22:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0163.html

Comment 7 Martin Prpič 2011-07-13 20:29:40 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If an error occurred during I/O, the SCSI driver reset the "megaraid_sas" controller to restore it to normal state. However, on Red Hat Enterprise Linux 5, the waiting time to allow a full reset completion for the "megaraid_sas" controller was too short. The driver incorrectly recognized the controller as stalled, and, as a result, the system stalled as well. With this update, more time is given to the controller to properly restart, thus, the controller operates as expected after being reset.


Note You need to log in before you can comment on or make changes to this bug.